function [flag_apogee, data] = apogee_detector(pressure_measurment, IMU_measurment, GPS_measurment, data)

%{ 
-----DESCRIPTION OF INPUT MEASURMENTS-----

pressure_measurment(1) = pressure [Pa]

IMU_measurment(1) = acceleration along rocket X axis  [m/s^2]
IMU_measurment(2) = acceleration along rocket Y axis  [m/s^2]
IMU_measurment(3) = acceleration along rocket Z axis  [m/s^2]
IMU_measurment(4) = angular speed along rocket X axis [rad/s]
IMU_measurment(5) = angular speed along rocket Y axis [rad/s]
IMU_measurment(6) = angular speed along rocket Z axis [rad/s]

GPS_measurments(1) = latitude
GPS_measurments(2) = latitude
GPS_measurments(3) = altitude from sea level [m]

-----DESCRIPTION OF OUTPUT VARIABLES-----

flag_apogee = boolean variable which MUST be set by this function to:
    - 1 if the rocket is at the apogee
    - 0 otherwise


%}




% Insert here the code 
